Get benefit
curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/benefits/{benefitId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lben_128f4bba81947c8542",
"name": "Coffee sample Ethiopia",
"type": "MATERIAL",
"status": "ACTIVE",
"stock": {
"type": "LIMITED",
"limited": {
"quantity": 495
}
},
"material": {
"type": "PRODUCT",
"product": {
"id": "prod_128f4baa45547c8530"
}
},
"created_at": "2026-06-11T10:34:24.645Z",
"updated_at": "2026-09-02T15:05:31.533Z",
"object": "benefit"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find benefit with id lben_128f4bba81947c854",
"request_id": "v-132d84aa1315d651a9",
"resource_id": "lben_128f4bba81947c854",
"resource_type": "benefit"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Get benefit
Returns a single benefit by its ID.
A successful call records no activity.
GET
/
v2
/
loyalties
/
benefits
/
{benefitId}
Get benefit
curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/benefits/{benefitId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lben_128f4bba81947c8542",
"name": "Coffee sample Ethiopia",
"type": "MATERIAL",
"status": "ACTIVE",
"stock": {
"type": "LIMITED",
"limited": {
"quantity": 495
}
},
"material": {
"type": "PRODUCT",
"product": {
"id": "prod_128f4baa45547c8530"
}
},
"created_at": "2026-06-11T10:34:24.645Z",
"updated_at": "2026-09-02T15:05:31.533Z",
"object": "benefit"
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find benefit with id lben_128f4bba81947c854",
"request_id": "v-132d84aa1315d651a9",
"resource_id": "lben_128f4bba81947c854",
"resource_type": "benefit"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
X-App-Id & X-App-TokenbearerAuth
Path Parameters
Response
The benefit
Response body schema for GET /v2/loyalties/benefits/{benefitId}.

